// alt_e100_e10x10.v

// Generated using ACDS version 16.0 222

`timescale 1 ps / 1 ps
module alt_e100_e10x10 #(
		parameter device_family               = "Stratix V",
		parameter intended_device_variant     = "ANY",
		parameter data_path_type              = "10G",
		parameter operation_mode              = "DUPLEX",
		parameter lanes                       = 10,
		parameter bonded_mode                 = "xN",
		parameter serialization_factor        = 40,
		parameter pma_width                   = 40,
		parameter data_rate                   = "10312.5 Mbps",
		parameter base_data_rate              = "10312.5 Mbps",
		parameter pll_refclk_freq             = "644.53125 MHz",
		parameter bonded_group_size           = 1,
		parameter select_10g_pcs              = 1,
		parameter tx_use_coreclk              = 1,
		parameter rx_use_coreclk              = 1,
		parameter tx_bitslip_enable           = 0,
		parameter tx_bitslip_width            = 7,
		parameter rx_bitslip_enable           = 0,
		parameter ppm_det_threshold           = "100",
		parameter phase_comp_fifo_mode        = "NONE",
		parameter loopback_mode               = "NONE",
		parameter gxb_analog_power            = "AUTO",
		parameter pll_lock_speed              = "AUTO",
		parameter tx_analog_power             = "AUTO",
		parameter tx_slew_rate                = "OFF",
		parameter tx_termination              = "OCT_100_OHMS",
		parameter tx_use_external_termination = "false",
		parameter tx_preemp_pretap            = 0,
		parameter tx_preemp_pretap_inv        = "false",
		parameter tx_preemp_tap_1             = 0,
		parameter tx_preemp_tap_2             = 0,
		parameter tx_preemp_tap_2_inv         = "false",
		parameter tx_vod_selection            = 2,
		parameter tx_common_mode              = "0.65V",
		parameter rx_pll_lock_speed           = "AUTO",
		parameter rx_common_mode              = "0.82V",
		parameter rx_termination              = "OCT_100_OHMS",
		parameter rx_use_external_termination = "false",
		parameter rx_eq_dc_gain               = 1,
		parameter rx_eq_ctrl                  = 16,
		parameter starting_channel_number     = 0,
		parameter pll_refclk_cnt              = 1,
		parameter en_synce_support            = 1,
		parameter plls                        = 1,
		parameter pll_refclk_select           = "0",
		parameter cdr_refclk_select           = 0,
		parameter pll_type                    = "CMU",
		parameter pll_select                  = 0,
		parameter pll_reconfig                = 0,
		parameter channel_interface           = 0,
		parameter pll_feedback_path           = "no_compensation",
		parameter enable_fpll_clkdiv33        = 1,
		parameter mgmt_clk_in_mhz             = 150,
		parameter embedded_reset              = 1
	) (
		input  wire          phy_mgmt_clk,         //       phy_mgmt_clk.clk
		input  wire          phy_mgmt_clk_reset,   // phy_mgmt_clk_reset.reset
		input  wire [8:0]    phy_mgmt_address,     //           phy_mgmt.address
		input  wire          phy_mgmt_read,        //                   .read
		output wire [31:0]   phy_mgmt_readdata,    //                   .readdata
		output wire          phy_mgmt_waitrequest, //                   .waitrequest
		input  wire          phy_mgmt_write,       //                   .write
		input  wire [31:0]   phy_mgmt_writedata,   //                   .writedata
		output wire          tx_ready,             //           tx_ready.export
		output wire          rx_ready,             //           rx_ready.export
		input  wire [0:0]    pll_ref_clk,          //        pll_ref_clk.clk
		output wire [0:0]    pll_locked,           //         pll_locked.export
		output wire [9:0]    tx_serial_data,       //     tx_serial_data.export
		input  wire [9:0]    rx_serial_data,       //     rx_serial_data.export
		output wire [9:0]    rx_is_lockedtoref,    //  rx_is_lockedtoref.export
		output wire [9:0]    rx_is_lockedtodata,   // rx_is_lockedtodata.export
		input  wire [9:0]    tx_coreclkin,         //       tx_coreclkin.export
		input  wire [9:0]    rx_coreclkin,         //       rx_coreclkin.export
		output wire [9:0]    tx_clkout,            //          tx_clkout.export
		output wire [9:0]    rx_clkout,            //          rx_clkout.export
		input  wire [0:0]    cdr_ref_clk,          //        cdr_ref_clk.export
		input  wire [399:0]  tx_parallel_data,     //   tx_parallel_data.export
		output wire [399:0]  rx_parallel_data,     //   rx_parallel_data.export
		output wire [919:0]  reconfig_from_xcvr,   // reconfig_from_xcvr.reconfig_from_xcvr
		input  wire [1399:0] reconfig_to_xcvr      //   reconfig_to_xcvr.reconfig_to_xcvr
	);

	generate
		// If any of the display statements (or deliberately broken
		// instantiations) within this generate block triggers then this module
		// has been instantiated this module with a set of parameters different
		// from those it was generated for.  This will usually result in a
		// non-functioning system.
		if (device_family != "Stratix V")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					device_family_check ( .error(1'b1) );
		end
		if (intended_device_variant != "ANY")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					intended_device_variant_check ( .error(1'b1) );
		end
		if (data_path_type != "10G")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					data_path_type_check ( .error(1'b1) );
		end
		if (operation_mode != "DUPLEX")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					operation_mode_check ( .error(1'b1) );
		end
		if (lanes != 10)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					lanes_check ( .error(1'b1) );
		end
		if (bonded_mode != "xN")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					bonded_mode_check ( .error(1'b1) );
		end
		if (serialization_factor != 40)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					serialization_factor_check ( .error(1'b1) );
		end
		if (pma_width != 40)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					pma_width_check ( .error(1'b1) );
		end
		if (data_rate != "10312.5 Mbps")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					data_rate_check ( .error(1'b1) );
		end
		if (base_data_rate != "10312.5 Mbps")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					base_data_rate_check ( .error(1'b1) );
		end
		if (pll_refclk_freq != "644.53125 MHz")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					pll_refclk_freq_check ( .error(1'b1) );
		end
		if (bonded_group_size != 1)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					bonded_group_size_check ( .error(1'b1) );
		end
		if (select_10g_pcs != 1)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					select_10g_pcs_check ( .error(1'b1) );
		end
		if (tx_use_coreclk != 1)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					tx_use_coreclk_check ( .error(1'b1) );
		end
		if (rx_use_coreclk != 1)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					rx_use_coreclk_check ( .error(1'b1) );
		end
		if (tx_bitslip_enable != 0)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					tx_bitslip_enable_check ( .error(1'b1) );
		end
		if (tx_bitslip_width != 7)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					tx_bitslip_width_check ( .error(1'b1) );
		end
		if (rx_bitslip_enable != 0)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					rx_bitslip_enable_check ( .error(1'b1) );
		end
		if (ppm_det_threshold != "100")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					ppm_det_threshold_check ( .error(1'b1) );
		end
		if (phase_comp_fifo_mode != "NONE")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					phase_comp_fifo_mode_check ( .error(1'b1) );
		end
		if (loopback_mode != "NONE")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					loopback_mode_check ( .error(1'b1) );
		end
		if (gxb_analog_power != "AUTO")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					gxb_analog_power_check ( .error(1'b1) );
		end
		if (pll_lock_speed != "AUTO")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					pll_lock_speed_check ( .error(1'b1) );
		end
		if (tx_analog_power != "AUTO")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					tx_analog_power_check ( .error(1'b1) );
		end
		if (tx_slew_rate != "OFF")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					tx_slew_rate_check ( .error(1'b1) );
		end
		if (tx_termination != "OCT_100_OHMS")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					tx_termination_check ( .error(1'b1) );
		end
		if (tx_use_external_termination != "false")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					tx_use_external_termination_check ( .error(1'b1) );
		end
		if (tx_preemp_pretap != 0)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					tx_preemp_pretap_check ( .error(1'b1) );
		end
		if (tx_preemp_pretap_inv != "false")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					tx_preemp_pretap_inv_check ( .error(1'b1) );
		end
		if (tx_preemp_tap_1 != 0)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					tx_preemp_tap_1_check ( .error(1'b1) );
		end
		if (tx_preemp_tap_2 != 0)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					tx_preemp_tap_2_check ( .error(1'b1) );
		end
		if (tx_preemp_tap_2_inv != "false")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					tx_preemp_tap_2_inv_check ( .error(1'b1) );
		end
		if (tx_vod_selection != 2)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					tx_vod_selection_check ( .error(1'b1) );
		end
		if (tx_common_mode != "0.65V")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					tx_common_mode_check ( .error(1'b1) );
		end
		if (rx_pll_lock_speed != "AUTO")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					rx_pll_lock_speed_check ( .error(1'b1) );
		end
		if (rx_common_mode != "0.82V")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					rx_common_mode_check ( .error(1'b1) );
		end
		if (rx_termination != "OCT_100_OHMS")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					rx_termination_check ( .error(1'b1) );
		end
		if (rx_use_external_termination != "false")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					rx_use_external_termination_check ( .error(1'b1) );
		end
		if (rx_eq_dc_gain != 1)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					rx_eq_dc_gain_check ( .error(1'b1) );
		end
		if (rx_eq_ctrl != 16)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					rx_eq_ctrl_check ( .error(1'b1) );
		end
		if (starting_channel_number != 0)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					starting_channel_number_check ( .error(1'b1) );
		end
		if (pll_refclk_cnt != 1)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					pll_refclk_cnt_check ( .error(1'b1) );
		end
		if (en_synce_support != 1)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					en_synce_support_check ( .error(1'b1) );
		end
		if (plls != 1)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					plls_check ( .error(1'b1) );
		end
		if (pll_refclk_select != "0")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					pll_refclk_select_check ( .error(1'b1) );
		end
		if (cdr_refclk_select != 0)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					cdr_refclk_select_check ( .error(1'b1) );
		end
		if (pll_type != "CMU")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					pll_type_check ( .error(1'b1) );
		end
		if (pll_select != 0)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					pll_select_check ( .error(1'b1) );
		end
		if (pll_reconfig != 0)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					pll_reconfig_check ( .error(1'b1) );
		end
		if (channel_interface != 0)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					channel_interface_check ( .error(1'b1) );
		end
		if (pll_feedback_path != "no_compensation")
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					pll_feedback_path_check ( .error(1'b1) );
		end
		if (enable_fpll_clkdiv33 != 1)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					enable_fpll_clkdiv33_check ( .error(1'b1) );
		end
		if (mgmt_clk_in_mhz != 150)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					mgmt_clk_in_mhz_check ( .error(1'b1) );
		end
		if (embedded_reset != 1)
		begin
			initial begin
				$display("Generated module instantiated with wrong parameters");
				$stop;
			end
			instantiated_with_wrong_parameters_error_see_comment_above
					embedded_reset_check ( .error(1'b1) );
		end
	endgenerate

	altera_xcvr_low_latency_phy #(
		.device_family               ("Stratix V"),
		.intended_device_variant     ("ANY"),
		.data_path_type              ("10G"),
		.operation_mode              ("DUPLEX"),
		.lanes                       (10),
		.bonded_mode                 ("xN"),
		.serialization_factor        (40),
		.pma_width                   (40),
		.data_rate                   ("10312.5 Mbps"),
		.base_data_rate              ("10312.5 Mbps"),
		.pll_refclk_freq             ("644.53125 MHz"),
		.bonded_group_size           (1),
		.select_10g_pcs              (1),
		.tx_use_coreclk              (1),
		.rx_use_coreclk              (1),
		.tx_bitslip_enable           (0),
		.tx_bitslip_width            (7),
		.rx_bitslip_enable           (0),
		.ppm_det_threshold           ("100"),
		.phase_comp_fifo_mode        ("NONE"),
		.loopback_mode               ("NONE"),
		.gxb_analog_power            ("AUTO"),
		.pll_lock_speed              ("AUTO"),
		.tx_analog_power             ("AUTO"),
		.tx_slew_rate                ("OFF"),
		.tx_termination              ("OCT_100_OHMS"),
		.tx_use_external_termination ("false"),
		.tx_preemp_pretap            (0),
		.tx_preemp_pretap_inv        ("false"),
		.tx_preemp_tap_1             (0),
		.tx_preemp_tap_2             (0),
		.tx_preemp_tap_2_inv         ("false"),
		.tx_vod_selection            (2),
		.tx_common_mode              ("0.65V"),
		.rx_pll_lock_speed           ("AUTO"),
		.rx_common_mode              ("0.82V"),
		.rx_termination              ("OCT_100_OHMS"),
		.rx_use_external_termination ("false"),
		.rx_eq_dc_gain               (1),
		.rx_eq_ctrl                  (16),
		.starting_channel_number     (0),
		.pll_refclk_cnt              (1),
		.en_synce_support            (1),
		.plls                        (1),
		.pll_refclk_select           ("0"),
		.cdr_refclk_select           (0),
		.pll_type                    ("CMU"),
		.pll_select                  (0),
		.pll_reconfig                (0),
		.channel_interface           (0),
		.pll_feedback_path           ("no_compensation"),
		.enable_fpll_clkdiv33        (1),
		.mgmt_clk_in_mhz             (150),
		.embedded_reset              (1)
	) alt_e100_e10x10 (
		.phy_mgmt_clk         (phy_mgmt_clk),                                                               //       phy_mgmt_clk.clk
		.phy_mgmt_clk_reset   (phy_mgmt_clk_reset),                                                         // phy_mgmt_clk_reset.reset
		.phy_mgmt_address     (phy_mgmt_address),                                                           //           phy_mgmt.address
		.phy_mgmt_read        (phy_mgmt_read),                                                              //                   .read
		.phy_mgmt_readdata    (phy_mgmt_readdata),                                                          //                   .readdata
		.phy_mgmt_waitrequest (phy_mgmt_waitrequest),                                                       //                   .waitrequest
		.phy_mgmt_write       (phy_mgmt_write),                                                             //                   .write
		.phy_mgmt_writedata   (phy_mgmt_writedata),                                                         //                   .writedata
		.tx_ready             (tx_ready),                                                                   //           tx_ready.export
		.rx_ready             (rx_ready),                                                                   //           rx_ready.export
		.pll_ref_clk          (pll_ref_clk),                                                                //        pll_ref_clk.clk
		.pll_locked           (pll_locked),                                                                 //         pll_locked.export
		.tx_serial_data       (tx_serial_data),                                                             //     tx_serial_data.export
		.rx_serial_data       (rx_serial_data),                                                             //     rx_serial_data.export
		.rx_is_lockedtoref    (rx_is_lockedtoref),                                                          //  rx_is_lockedtoref.export
		.rx_is_lockedtodata   (rx_is_lockedtodata),                                                         // rx_is_lockedtodata.export
		.tx_coreclkin         (tx_coreclkin),                                                               //       tx_coreclkin.export
		.rx_coreclkin         (rx_coreclkin),                                                               //       rx_coreclkin.export
		.tx_clkout            (tx_clkout),                                                                  //          tx_clkout.export
		.rx_clkout            (rx_clkout),                                                                  //          rx_clkout.export
		.cdr_ref_clk          (cdr_ref_clk),                                                                //        cdr_ref_clk.export
		.tx_parallel_data     (tx_parallel_data),                                                           //   tx_parallel_data.export
		.rx_parallel_data     (rx_parallel_data),                                                           //   rx_parallel_data.export
		.reconfig_from_xcvr   (reconfig_from_xcvr),                                                         // reconfig_from_xcvr.reconfig_from_xcvr
		.reconfig_to_xcvr     (reconfig_to_xcvr),                                                           //   reconfig_to_xcvr.reconfig_to_xcvr
		.tx_bitslip           (70'b0000000000000000000000000000000000000000000000000000000000000000000000), //        (terminated)
		.rx_bitslip           (10'b0000000000),                                                             //        (terminated)
		.pll_powerdown        (1'b0),                                                                       //        (terminated)
		.tx_digitalreset      (10'b0000000000),                                                             //        (terminated)
		.tx_analogreset       (10'b0000000000),                                                             //        (terminated)
		.tx_cal_busy          (),                                                                           //        (terminated)
		.rx_digitalreset      (10'b0000000000),                                                             //        (terminated)
		.rx_analogreset       (10'b0000000000),                                                             //        (terminated)
		.rx_cal_busy          (),                                                                           //        (terminated)
		.rx_cdr_reset_disable (10'b0000000000)                                                              //        (terminated)
	);

endmodule
