
# (C) 2001-2016 Altera Corporation. All rights reserved.
# Your use of Altera Corporation's design tools, logic functions and 
# other software and tools, and its AMPP partner logic functions, and 
# any output files any of the foregoing (including device programming 
# or simulation files), and any associated documentation or information 
# are expressly subject to the terms and conditions of the Altera 
# Program License Subscription Agreement, Altera MegaCore Function 
# License Agreement, or other applicable license agreement, including, 
# without limitation, that your use is for the sole purpose of 
# programming logic devices manufactured by Altera and sold by Altera 
# or its authorized distributors. Please refer to the applicable 
# agreement for further details.

# ACDS 16.0 222 linux 2016.08.12.13:06:20

# ----------------------------------------
# ncsim - auto-generated simulation script

# ----------------------------------------
# This script provides commands to simulate the following IP detected in
# your Quartus project:
#     e100g
# 
# Altera recommends that you source this Quartus-generated IP simulation
# script from your own customized top-level script, and avoid editing this
# generated script.
# 
# To write a top-level shell script that compiles Altera simulation libraries
# and the Quartus-generated IP in your project, along with your design and
# testbench files, copy the text from the TOP-LEVEL TEMPLATE section below
# into a new file, e.g. named "ncsim.sh", and modify text as directed.
# 
# You can also modify the simulation flow to suit your needs. Set the
# following variables to 1 to disable their corresponding processes:
# - SKIP_FILE_COPY: skip copying ROM/RAM initialization files
# - SKIP_DEV_COM: skip compiling the Quartus EDA simulation library
# - SKIP_COM: skip compiling Quartus-generated IP simulation files
# - SKIP_ELAB and SKIP_SIM: skip elaboration and simulation
# 
# ----------------------------------------
# # TOP-LEVEL TEMPLATE - BEGIN
# #
# # QSYS_SIMDIR is used in the Quartus-generated IP simulation script to
# # construct paths to the files required to simulate the IP in your Quartus
# # project. By default, the IP script assumes that you are launching the
# # simulator from the IP script location. If launching from another
# # location, set QSYS_SIMDIR to the output directory you specified when you
# # generated the IP script, relative to the directory from which you launch
# # the simulator. In this case, you must also copy the generated files
# # "cds.lib" and "hdl.var" - plus the directory "cds_libs" if generated - 
# # into the location from which you launch the simulator, or incorporate
# # into any existing library setup.
# #
# # Run Quartus-generated IP simulation script once to compile Quartus EDA
# # simulation libraries and Quartus-generated IP simulation files, and copy
# # any ROM/RAM initialization files to the simulation directory.
# # - If necessary, specify USER_DEFINED_COMPILE_OPTIONS.
# #
# source <script generation output directory>/cadence/ncsim_setup.sh \
# SKIP_ELAB=1 \
# SKIP_SIM=1 \
# USER_DEFINED_COMPILE_OPTIONS=<compilation options for your design> \
# QSYS_SIMDIR=<script generation output directory>
# #
# # Compile all design files and testbench files, including the top level.
# # (These are all the files required for simulation other than the files
# # compiled by the IP script)
# #
# ncvlog <compilation options> <design and testbench files>
# #
# # TOP_LEVEL_NAME is used in this script to set the top-level simulation or
# # testbench module/entity name.
# #
# # Run the IP script again to elaborate and simulate the top level:
# # - Specify TOP_LEVEL_NAME and USER_DEFINED_ELAB_OPTIONS.
# # - Override the default USER_DEFINED_SIM_OPTIONS. For example, to run
# #   until $finish(), set to an empty string: USER_DEFINED_SIM_OPTIONS="".
# #
# source <script generation output directory>/cadence/ncsim_setup.sh \
# SKIP_FILE_COPY=1 \
# SKIP_DEV_COM=1 \
# SKIP_COM=1 \
# TOP_LEVEL_NAME=<simulation top> \
# USER_DEFINED_ELAB_OPTIONS=<elaboration options for your design> \
# USER_DEFINED_SIM_OPTIONS=<simulation options for your design>
# #
# # TOP-LEVEL TEMPLATE - END
# ----------------------------------------
# 
# IP SIMULATION SCRIPT
# ----------------------------------------
# If e100g is one of several IP cores in your
# Quartus project, you can generate a simulation script
# suitable for inclusion in your top-level simulation
# script by running the following command line:
# 
# ip-setup-simulation --quartus-project=<quartus project>
# 
# ip-setup-simulation will discover the Altera IP
# within the Quartus project, and generate a unified
# script which supports all the Altera IP within the design.
# ----------------------------------------
# ACDS 16.0 222 linux 2016.08.12.13:06:20
# ----------------------------------------
# initialize variables
TOP_LEVEL_NAME="e100g"
QSYS_SIMDIR="./../"
QUARTUS_INSTALL_DIR="/swip_build/archive/acds/16.0.2/222/linux64/quartus/"
SKIP_FILE_COPY=0
SKIP_DEV_COM=0
SKIP_COM=0
SKIP_ELAB=0
SKIP_SIM=0
USER_DEFINED_ELAB_OPTIONS=""
USER_DEFINED_SIM_OPTIONS="-input \"@run 100; exit\""

# ----------------------------------------
# overwrite variables - DO NOT MODIFY!
# This block evaluates each command line argument, typically used for 
# overwriting variables. An example usage:
#   sh <simulator>_setup.sh SKIP_SIM=1
for expression in "$@"; do
  eval $expression
  if [ $? -ne 0 ]; then
    echo "Error: This command line argument, \"$expression\", is/has an invalid expression." >&2
    exit $?
  fi
done

# ----------------------------------------
# initialize simulation properties - DO NOT MODIFY!
ELAB_OPTIONS=""
SIM_OPTIONS=""
if [[ `ncsim -version` != *"ncsim(64)"* ]]; then
  :
else
  :
fi

# ----------------------------------------
# create compilation libraries
mkdir -p ./libraries/work/
mkdir -p ./libraries/alt_e100_e10x10/
mkdir -p ./libraries/e100g/
mkdir -p ./libraries/altera_ver/
mkdir -p ./libraries/lpm_ver/
mkdir -p ./libraries/sgate_ver/
mkdir -p ./libraries/altera_mf_ver/
mkdir -p ./libraries/altera_lnsim_ver/
mkdir -p ./libraries/stratixv_ver/
mkdir -p ./libraries/stratixv_hssi_ver/
mkdir -p ./libraries/stratixv_pcie_hip_ver/

# ----------------------------------------
# copy RAM/ROM files to simulation directory

# ----------------------------------------
# compile device library files
if [ $SKIP_DEV_COM -eq 0 ]; then
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_primitives.v"                      -work altera_ver           
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/220model.v"                               -work lpm_ver              
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/sgate.v"                                  -work sgate_ver            
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_mf.v"                              -work altera_mf_ver        
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_lnsim.sv"                          -work altera_lnsim_ver     
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/cadence/stratixv_atoms_ncrypt.v"          -work stratixv_ver         
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/stratixv_atoms.v"                         -work stratixv_ver         
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/cadence/stratixv_hssi_atoms_ncrypt.v"     -work stratixv_hssi_ver    
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/stratixv_hssi_atoms.v"                    -work stratixv_hssi_ver    
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/cadence/stratixv_pcie_hip_atoms_ncrypt.v" -work stratixv_pcie_hip_ver
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QUARTUS_INSTALL_DIR/eda/sim_lib/stratixv_pcie_hip_atoms.v"                -work stratixv_pcie_hip_ver
fi

# ----------------------------------------
# compile design files in correct order
if [ $SKIP_COM -eq 0 ]; then
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/altera_xcvr_functions.sv"                     -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/altera_xcvr_low_latency_phy.sv"               -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_pma_controller_tgx.v"                     -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_resync.sv"                           -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_csr_common_h.sv"                     -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_csr_common.sv"                       -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_csr_pcs8g_h.sv"                      -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_csr_pcs8g.sv"                        -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_csr_selector.sv"                     -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_mgmt2dec.sv"                         -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/altera_wait_generate.v"                       -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/altera_xcvr_reset_control.sv"                 -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_reset_counter.sv"                    -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_low_latency_phy_nr.sv"                -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_10g_custom_native.sv"                 -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_custom_native.sv"                     -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_pcs.sv"                                    -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_pcs_ch.sv"                                 -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_pma.sv"                                    -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_reconfig_bundle_to_xcvr.sv"                -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_reconfig_bundle_to_ip.sv"                  -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_reconfig_bundle_merger.sv"                 -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_rx_pma.sv"                                 -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_tx_pma.sv"                                 -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_tx_pma_ch.sv"                              -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_h.sv"                                 -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_avmm_csr.sv"                          -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_avmm_dcd.sv"                          -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_avmm.sv"                              -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_data_adapter.sv"                      -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_native.sv"                            -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_plls.sv"                              -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_10g_rx_pcs_rbc.sv"                    -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_10g_tx_pcs_rbc.sv"                    -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_8g_rx_pcs_rbc.sv"                     -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_8g_tx_pcs_rbc.sv"                     -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_8g_pcs_aggregate_rbc.sv"              -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_common_pcs_pma_interface_rbc.sv"      -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_common_pld_pcs_interface_rbc.sv"      -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_pipe_gen1_2_rbc.sv"                   -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_pipe_gen3_rbc.sv"                     -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_rx_pcs_pma_interface_rbc.sv"          -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_rx_pld_pcs_interface_rbc.sv"          -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_tx_pcs_pma_interface_rbc.sv"          -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_tx_pld_pcs_interface_rbc.sv"          -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_arbiter.sv"                          -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog -sv $USER_DEFINED_COMPILE_OPTIONS "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_m2s.sv"                              -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/alt_e100_e10x10.v"                                           -work alt_e100_e10x10 -cdslib ./cds_libs/alt_e100_e10x10.cds.lib
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/top/alt_e100_top.v"                                          -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/top/alt_e100_bridge.v"                                       -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/common/alt_e100_lock_timer.v"                                -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/common/alt_e100_six_three_comp.v"                            -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/common/alt_e100_status_sync.v"                               -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/common/alt_e100_sticky_flag.v"                               -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/common/alt_e100_sync_arst.v"                                 -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/common/alt_e100_user_mode_det.v"                             -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pma_sv/alt_e100_phy_pma_sv.v"                            -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pma_sv_bridge/alt_e100_pma_sv_bridge.v"                  -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/cadence/alt_e100_phy.v"                                  -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/csr/cadence/alt_e100_frequency_monitor.v"                -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/csr/cadence/alt_e100_phy_csr.v"                          -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/csr/cadence/alt_e100_phy_csr_caui4.v"                    -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/csr/cadence/alt_e100_status_cntr_sync.v"                 -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/csr/cadence/alt_e100_sticky_flag_group.v"                -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/cadence/alt_e100_phy_pcs.v"                          -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/common/cadence/alt_e100_gray_to_bin.v"               -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/common/cadence/alt_e100_mlab_dcfifo.v"               -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/common/cadence/alt_e100_mlab_fifo_cells.v"           -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/common/cadence/alt_e100_random_delay.v"              -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_block_decoder.v"                 -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_block_decoder_ns.v"              -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_descrambler.v"                   -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_framed_descrambler.v"            -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_gearbox_20_22.v"                 -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_gearbox_20_66.v"                 -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_lane_marker_compare.v"           -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_lane_marker_lock.v"              -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_mii_decode_multiple.v"           -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_pcs_ber.v"                       -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_pcs_ber_cnt_ns.v"                -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_pcs_ber_sm.v"                    -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_pcs_rx.v"                        -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_pcs_rx_testmode.v"               -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_prbs_rx.v"                       -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_reorder_destripe.v"              -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_reorder_destripe_helper.v"       -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_reorder_destripe_helper_group.v" -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_rx_lane_array.v"                 -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_rx_lane_pair.v"                  -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_rx_nav_region.v"                 -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/cadence/alt_e100_word_align_control.v"            -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/cadence/alt_e100_block_encoder.v"                 -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/cadence/alt_e100_block_encoder_ns.v"              -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/cadence/alt_e100_framed_scrambler.v"              -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/cadence/alt_e100_gearbox_66_20.v"                 -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/cadence/alt_e100_mii_encode_multiple.v"           -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/cadence/alt_e100_pcs_tx.v"                        -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/cadence/alt_e100_prbs_tx.v"                       -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/cadence/alt_e100_scrambler.v"                     -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/cadence/alt_e100_tx_lane_array.v"                 -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/cadence/alt_e100_tx_lane_pair.v"                  -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/cadence/alt_e100_tx_nav_region.v"                 -work e100g           -cdslib ./cds_libs/e100g.cds.lib          
  ncvlog $USER_DEFINED_COMPILE_OPTIONS     "$QSYS_SIMDIR/e100g.v"                                                                                                                                  
fi

# ----------------------------------------
# elaborate top level design
if [ $SKIP_ELAB -eq 0 ]; then
  ncelab -access +w+r+c -namemap_mixgen $ELAB_OPTIONS $USER_DEFINED_ELAB_OPTIONS $TOP_LEVEL_NAME
fi

# ----------------------------------------
# simulate
if [ $SKIP_SIM -eq 0 ]; then
  eval ncsim -licqueue $SIM_OPTIONS $USER_DEFINED_SIM_OPTIONS $TOP_LEVEL_NAME
fi
