
# (C) 2001-2016 Altera Corporation. All rights reserved.
# Your use of Altera Corporation's design tools, logic functions and 
# other software and tools, and its AMPP partner logic functions, and 
# any output files any of the foregoing (including device programming 
# or simulation files), and any associated documentation or information 
# are expressly subject to the terms and conditions of the Altera 
# Program License Subscription Agreement, Altera MegaCore Function 
# License Agreement, or other applicable license agreement, including, 
# without limitation, that your use is for the sole purpose of 
# programming logic devices manufactured by Altera and sold by Altera 
# or its authorized distributors. Please refer to the applicable 
# agreement for further details.

# ACDS 16.0 222 linux 2016.08.12.13:06:20

# ----------------------------------------
# vcs - auto-generated simulation script

# ----------------------------------------
# This script provides commands to simulate the following IP detected in
# your Quartus project:
#     e100g
# 
# Altera recommends that you source this Quartus-generated IP simulation
# script from your own customized top-level script, and avoid editing this
# generated script.
# 
# To write a top-level shell script that compiles Altera simulation libraries
# and the Quartus-generated IP in your project, along with your design and
# testbench files, follow the guidelines below.
# 
# 1) Copy the shell script text from the TOP-LEVEL TEMPLATE section
# below into a new file, e.g. named "vcs_sim.sh".
# 
# 2) Copy the text from the DESIGN FILE LIST & OPTIONS TEMPLATE section into
# a separate file, e.g. named "filelist.f".
# 
# ----------------------------------------
# # TOP-LEVEL TEMPLATE - BEGIN
# #
# # TOP_LEVEL_NAME is used in the Quartus-generated IP simulation script to
# # set the top-level simulation or testbench module/entity name.
# #
# # QSYS_SIMDIR is used in the Quartus-generated IP simulation script to
# # construct paths to the files required to simulate the IP in your Quartus
# # project. By default, the IP script assumes that you are launching the
# # simulator from the IP script location. If launching from another
# # location, set QSYS_SIMDIR to the output directory you specified when you
# # generated the IP script, relative to the directory from which you launch
# # the simulator.
# #
# # Source the Quartus-generated IP simulation script and do the following:
# # - Compile the Quartus EDA simulation library and IP simulation files.
# # - Specify TOP_LEVEL_NAME and QSYS_SIMDIR.
# # - Compile the design and top-level simulation module/entity using
# #   information specified in "filelist.f".
# # - Override the default USER_DEFINED_SIM_OPTIONS. For example, to run
# #   until $finish(), set to an empty string: USER_DEFINED_SIM_OPTIONS="".
# # - Run the simulation.
# #
# source <script generation output directory>/synopsys/vcs/vcs_setup.sh \
# TOP_LEVEL_NAME=<simulation top> \
# QSYS_SIMDIR=<script generation output directory> \
# USER_DEFINED_ELAB_OPTIONS="\"-f filelist.f\"" \
# USER_DEFINED_SIM_OPTIONS=<simulation options for your design>
# #
# # TOP-LEVEL TEMPLATE - END
# ----------------------------------------
# 
# ----------------------------------------
# # DESIGN FILE LIST & OPTIONS TEMPLATE - BEGIN
# #
# # Compile all design files and testbench files, including the top level.
# # (These are all the files required for simulation other than the files
# # compiled by the Quartus-generated IP simulation script)
# #
# +systemverilogext+.sv
# <design and testbench files, compile-time options, elaboration options>
# #
# # DESIGN FILE LIST & OPTIONS TEMPLATE - END
# ----------------------------------------
# 
# IP SIMULATION SCRIPT
# ----------------------------------------
# If e100g is one of several IP cores in your
# Quartus project, you can generate a simulation script
# suitable for inclusion in your top-level simulation
# script by running the following command line:
# 
# ip-setup-simulation --quartus-project=<quartus project>
# 
# ip-setup-simulation will discover the Altera IP
# within the Quartus project, and generate a unified
# script which supports all the Altera IP within the design.
# ----------------------------------------
# ACDS 16.0 222 linux 2016.08.12.13:06:20
# ----------------------------------------
# initialize variables
TOP_LEVEL_NAME="e100g"
QSYS_SIMDIR="./../../"
QUARTUS_INSTALL_DIR="/swip_build/archive/acds/16.0.2/222/linux64/quartus/"
SKIP_FILE_COPY=0
SKIP_ELAB=0
SKIP_SIM=0
USER_DEFINED_ELAB_OPTIONS=""
USER_DEFINED_SIM_OPTIONS="+vcs+finish+100"
# ----------------------------------------
# overwrite variables - DO NOT MODIFY!
# This block evaluates each command line argument, typically used for 
# overwriting variables. An example usage:
#   sh <simulator>_setup.sh SKIP_SIM=1
for expression in "$@"; do
  eval $expression
  if [ $? -ne 0 ]; then
    echo "Error: This command line argument, \"$expression\", is/has an invalid expression." >&2
    exit $?
  fi
done

# ----------------------------------------
# initialize simulation properties - DO NOT MODIFY!
ELAB_OPTIONS=""
SIM_OPTIONS=""
if [[ `vcs -platform` != *"amd64"* ]]; then
  :
else
  :
fi

# ----------------------------------------
# copy RAM/ROM files to simulation directory

vcs -lca -timescale=1ps/1ps -sverilog +verilog2001ext+.v -ntb_opts dtm $ELAB_OPTIONS $USER_DEFINED_ELAB_OPTIONS \
  -v $QUARTUS_INSTALL_DIR/eda/sim_lib/altera_primitives.v \
  -v $QUARTUS_INSTALL_DIR/eda/sim_lib/220model.v \
  -v $QUARTUS_INSTALL_DIR/eda/sim_lib/sgate.v \
  -v $QUARTUS_INSTALL_DIR/eda/sim_lib/altera_mf.v \
  $QUARTUS_INSTALL_DIR/eda/sim_lib/altera_lnsim.sv \
  -v $QUARTUS_INSTALL_DIR/eda/sim_lib/synopsys/stratixv_atoms_ncrypt.v \
  -v $QUARTUS_INSTALL_DIR/eda/sim_lib/stratixv_atoms.v \
  -v $QUARTUS_INSTALL_DIR/eda/sim_lib/synopsys/stratixv_hssi_atoms_ncrypt.v \
  -v $QUARTUS_INSTALL_DIR/eda/sim_lib/stratixv_hssi_atoms.v \
  -v $QUARTUS_INSTALL_DIR/eda/sim_lib/synopsys/stratixv_pcie_hip_atoms_ncrypt.v \
  -v $QUARTUS_INSTALL_DIR/eda/sim_lib/stratixv_pcie_hip_atoms.v \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/altera_xcvr_functions.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/altera_xcvr_low_latency_phy.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_pma_controller_tgx.v \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_resync.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_csr_common_h.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_csr_common.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_csr_pcs8g_h.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_csr_pcs8g.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_csr_selector.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_mgmt2dec.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/altera_wait_generate.v \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/altera_xcvr_reset_control.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_reset_counter.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_low_latency_phy_nr.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_10g_custom_native.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_custom_native.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_pcs.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_pcs_ch.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_pma.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_reconfig_bundle_to_xcvr.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_reconfig_bundle_to_ip.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_reconfig_bundle_merger.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_rx_pma.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_tx_pma.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_tx_pma_ch.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_h.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_avmm_csr.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_avmm_dcd.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_avmm.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_data_adapter.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_native.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_plls.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_10g_rx_pcs_rbc.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_10g_tx_pcs_rbc.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_8g_rx_pcs_rbc.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_8g_tx_pcs_rbc.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_8g_pcs_aggregate_rbc.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_common_pcs_pma_interface_rbc.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_common_pld_pcs_interface_rbc.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_pipe_gen1_2_rbc.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_pipe_gen3_rbc.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_rx_pcs_pma_interface_rbc.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_rx_pld_pcs_interface_rbc.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_tx_pcs_pma_interface_rbc.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_tx_pld_pcs_interface_rbc.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_arbiter.sv \
  $QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_m2s.sv \
  $QSYS_SIMDIR/alt_e40_e100/alt_e100_e10x10.v \
  $QSYS_SIMDIR/alt_e40_e100/top/alt_e100_top.v \
  $QSYS_SIMDIR/alt_e40_e100/top/alt_e100_bridge.v \
  $QSYS_SIMDIR/alt_e40_e100/common/alt_e100_lock_timer.v \
  $QSYS_SIMDIR/alt_e40_e100/common/alt_e100_six_three_comp.v \
  $QSYS_SIMDIR/alt_e40_e100/common/alt_e100_status_sync.v \
  $QSYS_SIMDIR/alt_e40_e100/common/alt_e100_sticky_flag.v \
  $QSYS_SIMDIR/alt_e40_e100/common/alt_e100_sync_arst.v \
  $QSYS_SIMDIR/alt_e40_e100/common/alt_e100_user_mode_det.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pma_sv/alt_e100_phy_pma_sv.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pma_sv_bridge/alt_e100_pma_sv_bridge.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/synopsys/alt_e100_phy.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/csr/synopsys/alt_e100_frequency_monitor.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/csr/synopsys/alt_e100_phy_csr.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/csr/synopsys/alt_e100_phy_csr_caui4.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/csr/synopsys/alt_e100_status_cntr_sync.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/csr/synopsys/alt_e100_sticky_flag_group.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/synopsys/alt_e100_phy_pcs.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/common/synopsys/alt_e100_gray_to_bin.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/common/synopsys/alt_e100_mlab_dcfifo.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/common/synopsys/alt_e100_mlab_fifo_cells.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/common/synopsys/alt_e100_random_delay.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_block_decoder.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_block_decoder_ns.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_descrambler.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_framed_descrambler.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_gearbox_20_22.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_gearbox_20_66.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_lane_marker_compare.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_lane_marker_lock.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_mii_decode_multiple.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_pcs_ber.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_pcs_ber_cnt_ns.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_pcs_ber_sm.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_pcs_rx.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_pcs_rx_testmode.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_prbs_rx.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_reorder_destripe.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_reorder_destripe_helper.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_reorder_destripe_helper_group.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_rx_lane_array.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_rx_lane_pair.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_rx_nav_region.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/synopsys/alt_e100_word_align_control.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/synopsys/alt_e100_block_encoder.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/synopsys/alt_e100_block_encoder_ns.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/synopsys/alt_e100_framed_scrambler.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/synopsys/alt_e100_gearbox_66_20.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/synopsys/alt_e100_mii_encode_multiple.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/synopsys/alt_e100_pcs_tx.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/synopsys/alt_e100_prbs_tx.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/synopsys/alt_e100_scrambler.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/synopsys/alt_e100_tx_lane_array.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/synopsys/alt_e100_tx_lane_pair.v \
  $QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/synopsys/alt_e100_tx_nav_region.v \
  $QSYS_SIMDIR/e100g.v \
  -top $TOP_LEVEL_NAME
# ----------------------------------------
# simulate
if [ $SKIP_SIM -eq 0 ]; then
  ./simv $SIM_OPTIONS $USER_DEFINED_SIM_OPTIONS
fi
