set QUARTUS_INSTALL_DIR $env(QUARTUS_ROOTDIR)
set QSYS_SIMDIR ./../../e100g_sim/

transcript on
if ![file isdirectory e100g_iputf_libs] {
	file mkdir e100g_iputf_libs
}

if ![file isdirectory verilog_libs] {
	file mkdir verilog_libs
}

vlib verilog_libs/altera_ver
vmap altera_ver ./verilog_libs/altera_ver
vlog -vlog01compat -work altera_ver "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_primitives.v"

vlib verilog_libs/lpm_ver
vmap lpm_ver ./verilog_libs/lpm_ver
vlog -vlog01compat -work lpm_ver "$QUARTUS_INSTALL_DIR/eda/sim_lib/220model.v"

vlib verilog_libs/sgate_ver
vmap sgate_ver ./verilog_libs/sgate_ver
vlog -vlog01compat -work sgate_ver "$QUARTUS_INSTALL_DIR/eda/sim_lib/sgate.v"

vlib verilog_libs/altera_mf_ver
vmap altera_mf_ver ./verilog_libs/altera_mf_ver
vlog -vlog01compat -work altera_mf_ver "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_mf.v"

vlib verilog_libs/altera_lnsim_ver
vmap altera_lnsim_ver ./verilog_libs/altera_lnsim_ver
vlog -sv -work altera_lnsim_ver "$QUARTUS_INSTALL_DIR/eda/sim_lib/altera_lnsim.sv"

vlib verilog_libs/stratixv_ver
vmap stratixv_ver ./verilog_libs/stratixv_ver
vlog -vlog01compat -work stratixv_ver "$QUARTUS_INSTALL_DIR/eda/sim_lib/mentor/stratixv_atoms_ncrypt.v"
vlog -vlog01compat -work stratixv_ver "$QUARTUS_INSTALL_DIR/eda/sim_lib/stratixv_atoms.v"

vlib verilog_libs/stratixv_hssi_ver
vmap stratixv_hssi_ver ./verilog_libs/stratixv_hssi_ver
vlog -vlog01compat -work stratixv_hssi_ver "$QUARTUS_INSTALL_DIR/eda/sim_lib/mentor/stratixv_hssi_atoms_ncrypt.v"
vlog -vlog01compat -work stratixv_hssi_ver "$QUARTUS_INSTALL_DIR/eda/sim_lib/stratixv_hssi_atoms.v"

vlib verilog_libs/stratixv_pcie_hip_ver
vmap stratixv_pcie_hip_ver ./verilog_libs/stratixv_pcie_hip_ver
vlog -vlog01compat -work stratixv_pcie_hip_ver "$QUARTUS_INSTALL_DIR/eda/sim_lib/mentor/stratixv_pcie_hip_atoms_ncrypt.v"
vlog -vlog01compat -work stratixv_pcie_hip_ver "$QUARTUS_INSTALL_DIR/eda/sim_lib/stratixv_pcie_hip_atoms.v"

if {[file exists rtl_work]} {
	vdel -lib rtl_work -all
}
vlib rtl_work
vmap work rtl_work

###### Libraries for IPUTF cores 
vlib e100g_iputf_libs/alt_e100_e10x10
vmap alt_e100_e10x10 ./e100g_iputf_libs/alt_e100_e10x10
vlib e100g_iputf_libs/e100g
vmap e100g ./e100g_iputf_libs/e100g
###### End libraries for IPUTF cores 
###### MIF file copy and HDL compilation commands for IPUTF cores 


vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/altera_xcvr_functions.sv"                       -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/altera_xcvr_functions.sv"                -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/altera_xcvr_low_latency_phy.sv"                 -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/altera_xcvr_low_latency_phy.sv"          -work alt_e100_e10x10
vlog     "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_pma_controller_tgx.v"                       -work alt_e100_e10x10
vlog     "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/alt_pma_controller_tgx.v"                -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_resync.sv"                             -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/alt_xcvr_resync.sv"                      -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_csr_common_h.sv"                       -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_csr_common.sv"                         -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_csr_pcs8g_h.sv"                        -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_csr_pcs8g.sv"                          -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_csr_selector.sv"                       -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_mgmt2dec.sv"                           -work alt_e100_e10x10
vlog     "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/altera_wait_generate.v"                         -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/alt_xcvr_csr_common_h.sv"                -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/alt_xcvr_csr_common.sv"                  -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/alt_xcvr_csr_pcs8g_h.sv"                 -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/alt_xcvr_csr_pcs8g.sv"                   -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/alt_xcvr_csr_selector.sv"                -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/alt_xcvr_mgmt2dec.sv"                    -work alt_e100_e10x10
vlog     "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/altera_wait_generate.v"                  -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/altera_xcvr_reset_control.sv"                   -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_reset_counter.sv"                      -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/altera_xcvr_reset_control.sv"            -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/alt_xcvr_reset_counter.sv"               -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_low_latency_phy_nr.sv"                  -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_xcvr_low_latency_phy_nr.sv"           -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_10g_custom_native.sv"                   -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_xcvr_10g_custom_native.sv"            -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_custom_native.sv"                       -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_xcvr_custom_native.sv"                -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_pcs.sv"                                      -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_pcs_ch.sv"                                   -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_pma.sv"                                      -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_reconfig_bundle_to_xcvr.sv"                  -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_reconfig_bundle_to_ip.sv"                    -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_reconfig_bundle_merger.sv"                   -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_rx_pma.sv"                                   -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_tx_pma.sv"                                   -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_tx_pma_ch.sv"                                -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_h.sv"                                   -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_avmm_csr.sv"                            -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_avmm_dcd.sv"                            -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_avmm.sv"                                -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_data_adapter.sv"                        -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_native.sv"                              -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_xcvr_plls.sv"                                -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_pcs.sv"                               -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_pcs_ch.sv"                            -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_pma.sv"                               -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_reconfig_bundle_to_xcvr.sv"           -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_reconfig_bundle_to_ip.sv"             -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_reconfig_bundle_merger.sv"            -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_rx_pma.sv"                            -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_tx_pma.sv"                            -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_tx_pma_ch.sv"                         -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_xcvr_h.sv"                            -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_xcvr_avmm_csr.sv"                     -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_xcvr_avmm_dcd.sv"                     -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_xcvr_avmm.sv"                         -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_xcvr_data_adapter.sv"                 -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_xcvr_native.sv"                       -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_xcvr_plls.sv"                         -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_10g_rx_pcs_rbc.sv"                      -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_10g_tx_pcs_rbc.sv"                      -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_8g_rx_pcs_rbc.sv"                       -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_8g_tx_pcs_rbc.sv"                       -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_8g_pcs_aggregate_rbc.sv"                -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_common_pcs_pma_interface_rbc.sv"        -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_common_pld_pcs_interface_rbc.sv"        -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_pipe_gen1_2_rbc.sv"                     -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_pipe_gen3_rbc.sv"                       -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_rx_pcs_pma_interface_rbc.sv"            -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_rx_pld_pcs_interface_rbc.sv"            -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_tx_pcs_pma_interface_rbc.sv"            -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/sv_hssi_tx_pld_pcs_interface_rbc.sv"            -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_hssi_10g_rx_pcs_rbc.sv"               -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_hssi_10g_tx_pcs_rbc.sv"               -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_hssi_8g_rx_pcs_rbc.sv"                -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_hssi_8g_tx_pcs_rbc.sv"                -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_hssi_8g_pcs_aggregate_rbc.sv"         -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_hssi_common_pcs_pma_interface_rbc.sv" -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_hssi_common_pld_pcs_interface_rbc.sv" -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_hssi_pipe_gen1_2_rbc.sv"              -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_hssi_pipe_gen3_rbc.sv"                -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_hssi_rx_pcs_pma_interface_rbc.sv"     -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_hssi_rx_pld_pcs_interface_rbc.sv"     -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_hssi_tx_pcs_pma_interface_rbc.sv"     -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/sv_hssi_tx_pld_pcs_interface_rbc.sv"     -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_arbiter.sv"                            -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/alt_xcvr_m2s.sv"                                -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/alt_xcvr_arbiter.sv"                     -work alt_e100_e10x10
vlog -sv "$QSYS_SIMDIR/altera_xcvr_low_latency_phy/mentor/alt_xcvr_m2s.sv"                         -work alt_e100_e10x10
vlog     "$QSYS_SIMDIR/alt_e40_e100/alt_e100_e10x10.v"                                             -work alt_e100_e10x10
vlog     "$QSYS_SIMDIR/alt_e40_e100/top/alt_e100_top.v"                                            -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/top/alt_e100_bridge.v"                                         -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/common/alt_e100_lock_timer.v"                                  -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/common/alt_e100_six_three_comp.v"                              -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/common/alt_e100_status_sync.v"                                 -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/common/alt_e100_sticky_flag.v"                                 -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/common/alt_e100_sync_arst.v"                                   -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/common/alt_e100_user_mode_det.v"                               -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/common/mentor/alt_e100_lock_timer.v"                           -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/common/mentor/alt_e100_six_three_comp.v"                       -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/common/mentor/alt_e100_status_sync.v"                          -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/common/mentor/alt_e100_sticky_flag.v"                          -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/common/mentor/alt_e100_sync_arst.v"                            -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/common/mentor/alt_e100_user_mode_det.v"                        -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pma_sv/alt_e100_phy_pma_sv.v"                              -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pma_sv/mentor/alt_e100_phy_pma_sv.v"                       -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pma_sv_bridge/alt_e100_pma_sv_bridge.v"                    -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pma_sv_bridge/mentor/alt_e100_pma_sv_bridge.v"             -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/mentor/alt_e100_phy.v"                                     -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/csr/mentor/alt_e100_frequency_monitor.v"                   -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/csr/mentor/alt_e100_phy_csr.v"                             -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/csr/mentor/alt_e100_phy_csr_caui4.v"                       -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/csr/mentor/alt_e100_status_cntr_sync.v"                    -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/csr/mentor/alt_e100_sticky_flag_group.v"                   -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/mentor/alt_e100_phy_pcs.v"                             -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/common/mentor/alt_e100_gray_to_bin.v"                  -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/common/mentor/alt_e100_mlab_dcfifo.v"                  -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/common/mentor/alt_e100_mlab_fifo_cells.v"              -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/common/mentor/alt_e100_random_delay.v"                 -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_block_decoder.v"                    -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_block_decoder_ns.v"                 -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_descrambler.v"                      -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_framed_descrambler.v"               -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_gearbox_20_22.v"                    -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_gearbox_20_66.v"                    -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_lane_marker_compare.v"              -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_lane_marker_lock.v"                 -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_mii_decode_multiple.v"              -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_pcs_ber.v"                          -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_pcs_ber_cnt_ns.v"                   -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_pcs_ber_sm.v"                       -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_pcs_rx.v"                           -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_pcs_rx_testmode.v"                  -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_prbs_rx.v"                          -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_reorder_destripe.v"                 -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_reorder_destripe_helper.v"          -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_reorder_destripe_helper_group.v"    -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_rx_lane_array.v"                    -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_rx_lane_pair.v"                     -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_rx_nav_region.v"                    -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/rx/mentor/alt_e100_word_align_control.v"               -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/mentor/alt_e100_block_encoder.v"                    -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/mentor/alt_e100_block_encoder_ns.v"                 -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/mentor/alt_e100_framed_scrambler.v"                 -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/mentor/alt_e100_gearbox_66_20.v"                    -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/mentor/alt_e100_mii_encode_multiple.v"              -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/mentor/alt_e100_pcs_tx.v"                           -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/mentor/alt_e100_prbs_tx.v"                          -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/mentor/alt_e100_scrambler.v"                        -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/mentor/alt_e100_tx_lane_array.v"                    -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/mentor/alt_e100_tx_lane_pair.v"                     -work e100g          
vlog     "$QSYS_SIMDIR/alt_e40_e100/phy/pcs/tx/mentor/alt_e100_tx_nav_region.v"                    -work e100g          
vlog     "$QSYS_SIMDIR/e100g.v"                                                                                         


vlog -work work ./../tb.v

vsim  -novopt -t 1ps\
-L altera_ver\
-L lpm_ver\
-L sgate_ver\
-L altera_mf_ver\
-L altera_lnsim_ver\
-L stratixv_ver\
-L stratixv_hssi_ver\
-L stratixv_pcie_hip_ver\
-L rtl_work\
-L work\
-L alt_e100_e10x10\
-L e100g\
tb

#add wave *
do wave.do
source vcd.tcl
view structure
view signals
view wave
run -all
