//tab space = 4
`timescale 1 ps / 1 ps
module top_100gPHYonly (
	input  wire				clk_ref					,
	input  wire				pma_arst_ST				,
	input  wire				pcs_rx_arst_ST			,
	input  wire				pcs_tx_arst_ST			,
	input  wire				clk_status				,
	input  wire [15:0]		status_addr				,
	input  wire				status_read				,
	input  wire				status_write			,
	input  wire [31:0]		status_writedata		,
	output wire [31:0]		status_readdata			,
	output wire				status_readdata_valid	,
	input  wire				clk_rxmac				,
	input  wire				clk_txmac				,
	output wire [9:0]		tx_serial				,
	input  wire [9:0]		rx_serial				,
	output wire				rx_mii_valid			,
	output wire [319:0]		rx_mii_d				,
	output wire [39:0]		rx_mii_c				,
	output wire				lanes_deskewed			,
	input  wire [319:0]		tx_mii_d				,
	input  wire [39:0]		tx_mii_c				,
	input  wire				tx_mii_valid			,
	output wire				tx_mii_ready			,
	output wire				tx_lanes_stable			,

	output wire 			reconfig_busy			,
	input  wire [6:0]		reconfig_mgmt_address	,
	input  wire 			reconfig_mgmt_read		,
	output wire [31:0]		reconfig_mgmt_readdata	,
	output wire 			reconfig_mgmt_waitreque	,
	input  wire 			reconfig_mgmt_write		,
	input  wire [31:0]		reconfig_mgmt_writedata	 
);



	wire [919:0]	reconfig_from_xcvr	;
	wire [1399:0]	reconfig_to_xcvr	;
	wire			mgmt_clk_clk		;
	reg 			mgmt_rst_reset	= 1	;

	assign mgmt_clk_clk   = clk_status	;
	
	always @(posedge mgmt_clk_clk) begin
		mgmt_rst_reset <= pma_arst_ST	;
	end



//--- Altera 100GbE PHY Only -----------------------------------------------------------------------
	e100g e100g (
		.clk_ref					( clk_ref					), // input  wire			
		.pma_arst_ST				( pma_arst_ST				), // input  wire			
		.pcs_rx_arst_ST				( pcs_rx_arst_ST			), // input  wire			
		.pcs_tx_arst_ST				( pcs_tx_arst_ST			), // input  wire			
		.reconfig_from_xcvr			( reconfig_from_xcvr		), // output wire [919:0]	
		.reconfig_to_xcvr			( reconfig_to_xcvr			), // input  wire [1399:0]	
		.clk_status					( clk_status				), // input  wire			
		.status_addr				( status_addr				), // input  wire [15:0]	
		.status_read				( status_read				), // input  wire			
		.status_write				( status_write				), // input  wire			
		.status_writedata			( status_writedata			), // input  wire [31:0]	
		.status_readdata			( status_readdata			), // output wire [31:0]	
		.status_readdata_valid		( status_readdata_valid		), // output wire			
		.clk_rxmac					( clk_rxmac					), // input  wire			
		.clk_txmac					( clk_txmac					), // input  wire			
		.tx_serial					( tx_serial					), // output wire [9:0]		
		.rx_serial					( rx_serial					), // input  wire [9:0]		
		.rx_mii_valid				( rx_mii_valid				), // output wire			
		.rx_mii_d					( rx_mii_d					), // output wire [319:0]	
		.rx_mii_c					( rx_mii_c					), // output wire [39:0]	
		.lanes_deskewed				( lanes_deskewed			), // output wire			
		.tx_mii_d					( tx_mii_d					), // input  wire [319:0]	
		.tx_mii_c					( tx_mii_c					), // input  wire [39:0]	
		.tx_mii_valid				( tx_mii_valid				), // input  wire			
		.tx_mii_ready				( tx_mii_ready				), // output wire			
		.tx_lanes_stable			( tx_lanes_stable			)  // output wire			
	);

//--- Altera Transceiver Reconfiguration Controller ------------------------------------------------
	altera_xcvr_reconfig altera_xcvr_reconfig (
		.reconfig_busy				( reconfig_busy				), // output wire			
		.mgmt_clk_clk				( mgmt_clk_clk				), // input  wire			
		.mgmt_rst_reset				( mgmt_rst_reset			), // input  wire			
		.reconfig_mgmt_address		( reconfig_mgmt_address		), // input  wire [6:0]		
		.reconfig_mgmt_read			( reconfig_mgmt_read		), // input  wire			
		.reconfig_mgmt_readdata		( reconfig_mgmt_readdata	), // output wire [31:0]	
		.reconfig_mgmt_waitrequest	( reconfig_mgmt_waitrequest	), // output wire			
		.reconfig_mgmt_write		( reconfig_mgmt_write		), // input  wire			
		.reconfig_mgmt_writedata	( reconfig_mgmt_writedata	), // input  wire [31:0]	
		.reconfig_to_xcvr			( reconfig_to_xcvr			), // output wire [1399:0]	
		.reconfig_from_xcvr			( reconfig_from_xcvr		)  // input  wire [919:0]	
	);



endmodule
